Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatActionBarReportSpam

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatActionBar
it.tdlight.jni.TdApi.ChatActionBarReportSpam

Enclosing class:
  TdApi

public static final class TdApi.ChatActionBarReportSpam extends TdApi.ChatActionBar
The chat can be reported as spam using the method reportChat with the reason chatReportReasonSpam.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canUnarchive`
If true, the chat was automatically archived and can be moved back to the main chat list using addChatToList simultaneously with setting chat notification settings to default using setChatNotificationSettings.
`static final int`
`CONSTRUCTOR`

## Constructor Summary

Constructors
Constructor
Description
`ChatActionBarReportSpam()`
The chat can be reported as spam using the method reportChat with the reason chatReportReasonSpam.
`ChatActionBarReportSpam(boolean canUnarchive)`
The chat can be reported as spam using the method reportChat with the reason chatReportReasonSpam.
`ChatActionBarReportSpam(DataInput input)`
The chat can be reported as spam using the method reportChat with the reason chatReportReasonSpam.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### canUnarchive

public boolean canUnarchive
If true, the chat was automatically archived and can be moved back to the main chat list using addChatToList simultaneously with setting chat notification settings to default using setChatNotificationSettings.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatActionBarReportSpam

public ChatActionBarReportSpam()
The chat can be reported as spam using the method reportChat with the reason chatReportReasonSpam.

### ChatActionBarReportSpam

public ChatActionBarReportSpam(boolean canUnarchive)
The chat can be reported as spam using the method reportChat with the reason chatReportReasonSpam.

Parameters:
  `canUnarchive` - boolean If true, the chat was automatically archived and can be moved back to the main chat list using addChatToList simultaneously with setting chat notification settings to default using setChatNotificationSettings.

### ChatActionBarReportSpam

public ChatActionBarReportSpam(DataInput input) throws IOException
The chat can be reported as spam using the method reportChat with the reason chatReportReasonSpam.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`